package com.steering.pss.sale.order.craftDesign.model;

/**
 * 数据库表CRAFT_ORD_DESIGN_STD_PIC_SMP_S所对应的实体类（生成工具：代码生成工具4.0
 * 访问地址：http://172.16.2.128/tool/）
 * 
 * @author tgcx-test date 2016-12-07
 */
@SuppressWarnings("serial")
public class CraftOrdDesignStdPicSmpSEntity implements java.io.Serializable {
	/**
	 * 合同行主键
	 */
	private String ordLnPk = "";
	/**
	 * 设定试样索引号 （用于找到多条试样码时，强制指定某一条试样码）
	 */
	private String setEic = "";
	/**
	 * 取样码
	 */
	private String phyCodeMin = "";
	/**
	 * 项目代码_方向
	 */
	private String itemCodeF = "";
	/**
	 * 项目代码_尺寸
	 */
	private String itemCodeC = "";
	/**
	 * 项目代码_温度
	 */
	private String itemCodeW = "";

	/**
	 * 合同行主键
	 * 
	 * @return value
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * 合同行主键
	 * 
	 * @param ordLnPk
	 *            value
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	/**
	 * 设定试样索引号 （用于找到多条试样码时，强制指定某一条试样码）
	 * 
	 * @return value
	 */
	public String getSetEic() {
		return setEic;
	}

	/**
	 * 设定试样索引号 （用于找到多条试样码时，强制指定某一条试样码）
	 * 
	 * @param setEic
	 *            value
	 */
	public void setSetEic(String setEic) {
		this.setEic = setEic;
	}

	/**
	 * 取样码
	 * 
	 * @return value
	 */
	public String getPhyCodeMin() {
		return phyCodeMin;
	}

	/**
	 * 取样码
	 * 
	 * @param phyCodeMin
	 *            value
	 */
	public void setPhyCodeMin(String phyCodeMin) {
		this.phyCodeMin = phyCodeMin;
	}

	/**
	 * 项目代码_方向
	 * 
	 * @return value
	 */
	public String getItemCodeF() {
		return itemCodeF;
	}

	/**
	 * 项目代码_方向
	 * 
	 * @param itemCodeF
	 *            value
	 */
	public void setItemCodeF(String itemCodeF) {
		this.itemCodeF = itemCodeF;
	}

	/**
	 * 项目代码_尺寸
	 * 
	 * @return value
	 */
	public String getItemCodeC() {
		return itemCodeC;
	}

	/**
	 * 项目代码_尺寸
	 * 
	 * @param itemCodeC
	 *            value
	 */
	public void setItemCodeC(String itemCodeC) {
		this.itemCodeC = itemCodeC;
	}

	/**
	 * 项目代码_温度
	 * 
	 * @return value
	 */
	public String getItemCodeW() {
		return itemCodeW;
	}

	/**
	 * 项目代码_温度
	 * 
	 * @param itemCodeW
	 *            value
	 */
	public void setItemCodeW(String itemCodeW) {
		this.itemCodeW = itemCodeW;
	}
}
